Bug 1596372 - [RFE] Dependency calculations in Satellite should handle rich dependencies
Summary: [RFE] Dependency calculations in Satellite should handle rich dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1596238 1599317
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 17:45 UTC by Bryan Kearney
Modified: 2019-10-07 17:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:34 UTC
Pulp Redmine 3715 Normal CLOSED - CURRENTRELEASE Reimplement unit dependency solving with the libsolv library 2018-08-31 21:01:55 UTC
Pulp Redmine 3847 Normal CLOSED - CURRENTRELEASE Introduce weak dependency solving 2018-08-31 21:01:39 UTC

Description Bryan Kearney 2018-06-28 17:45:49 UTC
Satellite should be able to handle Rich and Weak Dependencies.

http://rpm.org/user_doc/boolean_dependencies.html
https://fedoraproject.org/wiki/Packaging:WeakDependencies

Comment 2 pulp-infra@redhat.com 2018-06-28 19:03:15 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2018-06-28 19:03:17 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 mkovacik 2018-07-10 14:11:12 UTC
Bryan,

I've just noticed the bug description explicitly mentions weak dependencies processing but the implementation scope of the upstream ticket is limited to introduce parsing of rich dependencies of the strong 'Requires' and 'Provides' fields only[1].

Weak dependencies parsing is not implemented yet and will require RPM Mongo model update so it might be better to track it as a separate bug; what's more comfy for you?

Thanks,
milan

[1] https://pulp.plan.io/issues/3715

Comment 6 mkovacik 2018-07-10 16:45:27 UTC
I've just created the Pulp Issue #3847 that tracks the weak dependencies.
Please feel free to remove the link from this Bug in case it's more suitable to track the weak dependencies separately.

Comment 8 pulp-infra@redhat.com 2018-07-10 17:05:48 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 9 pulp-infra@redhat.com 2018-07-10 17:05:51 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 12 pulp-infra@redhat.com 2018-07-13 17:04:31 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 13 pulp-infra@redhat.com 2018-07-17 12:33:34 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 15 pulp-infra@redhat.com 2018-08-06 17:04:26 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 16 pulp-infra@redhat.com 2018-08-06 17:04:38 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 17 pulp-infra@redhat.com 2018-08-14 21:31:25 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 18 pulp-infra@redhat.com 2018-08-14 21:31:43 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 20 pulp-infra@redhat.com 2018-08-31 21:01:40 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 21 pulp-infra@redhat.com 2018-08-31 21:01:56 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 23 jcallaha 2019-01-17 21:27:20 UTC
Verified in Satellite 6.5.0 Snap 11

[root@test1 ~]# dnf install firefox                                                                                                             2.9 kB/s | 2.9 kB     00:00    
Dependencies resolved.
==============================================================================================================================================================================================
 Package                                    Arch                      Version                                         Repository                                                         Size
==============================================================================================================================================================================================
Installing:
 firefox                                    x86_64                    60.4.0-2.el8                                    Default_Organization_rhel8_AppStream_x86_64_os                     92 M
Installing dependencies:
 rest                                       x86_64                    0.8.1-2.el8                                     Default_Organization_rhel8_AppStream_x86_64_os                     71 k
 startup-notification                       x86_64                    0.12-15.el8                                     Default_Organization_rhel8_AppStream_x86_64_os                     45 k
...
 fontpackages-filesystem                    noarch                    1.44-22.el8                                     Default_Organization_rhel8_BaseOS_x86_64_os                        16 k
 gdk-pixbuf2                                x86_64                    2.36.12-2.el8                                   Default_Organization_rhel8_BaseOS_x86_64_os                       466 k
Installing weak dependencies:
 dconf                                      x86_64                    0.28.0-2.el8                                    Default_Organization_rhel8_AppStream_x86_64_os                    107 k

Transaction Summary
==============================================================================================================================================================================================
Install  99 Packages

Total download size: 133 M
Installed size: 445 M
Is this ok [y/N]: y
Downloading Packages:
(1/99): startup-notification-0.12-15.el8.x86_64.rpm                                                                                                            20 kB/s |  45 kB     00:02    
...                                                                                                                    278 kB/s | 431 kB     00:01    
(85/99): dconf-0.28.0-2.el8.x86_64.rpm                                                                                                                        100 kB/s | 107 kB     00:01    
...
(99/99): firefox-60.4.0-2.el8.x86_64.rpm                                                                                                                      782 kB/s |  92 MB     02:01    
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                         851 kB/s | 133 MB     02:39     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                      1/1 
  Installing       : redhat-indexhtml-8-7.el8.noarch                                                                                                                                    33/99 
  ...                                                                                                                                   41/99 
  Installing       : dconf-0.28.0-2.el8.x86_64                                                                                                                                          42/99 
  ...                                                                                                                                        99/99 
  Running scriptlet: dconf-0.28.0-2.el8.x86_64                                                                                                                                          99/99 
  ...                                                                                                                                        86/99 
  Verifying        : dconf-0.28.0-2.el8.x86_64                                                                                                                                          87/99 
  ...                                                                                                                                   99/99 
Installed products updated.

Installed:
  firefox-60.4.0-2.el8.x86_64                     dconf-0.28.0-2.el8.x86_64                   rest-0.8.1-2.el8.x86_64                        startup-notification-0.12-15.el8.x86_64         
  ...
Complete!
[root@test1 ~]#

Comment 26 errata-xmlrpc 2019-05-14 12:37:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.